Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Interface CustomerDelegateHome

All Superinterfaces
  javax.ejb.EJBHome, Remote

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface CustomerDelegateHome

extends javax.ejb.EJBHome

The home interface for the Customer entity bean. Use this class to create, remove, and find Customer entity beans.

Method Summary
`CustomerDelegate` | `create(CustomerDelegatePk customerPk)` Deprecated See BEA Commerce product offering
`CustomerDelegate` | `findByPrimaryKey(CustomerDelegatePk customerPk)` Deprecated See BEA Commerce product offering
`CustomerDelegate` | `findByUserIdentifier(String identifier)` Deprecated See BEA Commerce product offering

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    CustomerDelegate create(CustomerDelegatePk customerPk)
                            throws javax.ejb.CreateException,
                                   RemoteException

  Deprecated See BEA Commerce product offering

  Create a new Customer entity bean using the primary key

  Throws
    `javax.ejb.CreateException`
    `RemoteException`

### findByPrimaryKey

    CustomerDelegate findByPrimaryKey(CustomerDelegatePk customerPk)
                                      throws RemoteException,
                                             javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Find an Customer entity bean using the primary key

  Returns
    Remote interface to Customer
  Throws
    `javax.ejb.FinderException` - if cannot locate named customer
    `RemoteException`

### findByUserIdentifier

    CustomerDelegate findByUserIdentifier(String identifier)
                                          throws RemoteException,
                                                 javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Access existing customer -- if not found, then try to create a new one.

  Parameters
    `identifier` - Customer name
  Returns
    Remote interface to Customer
  Throws
    `javax.ejb.CreateException` - if cannot create new customer of that name
    `RemoteException`
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved